aboutsummaryrefslogtreecommitdiff
path: root/scripts/test_make_O
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test_make_O')
-rwxr-xr-xscripts/test_make_O11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/test_make_O b/scripts/test_make_O
new file mode 100755
index 000000000..a0ee6a868
--- /dev/null
+++ b/scripts/test_make_O
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+b=`basename $PWD`
+test "${b#busybox}" != "$b" || { echo "Must be run in busybox tree"; exit 1; }
+
+rm -rf ../testdir_make_O.$$
+mkdir ../testdir_make_O.$$
+odir=`cd ../testdir_make_O.$$ && pwd`
+test -d "$odir" || exit 1
+
+make O="$odir" $MAKEOPTS "$@" defconfig busybox 2>&1 | tee test_make_O.log